SuSE 11.1 Security Update : GnuTLS (SAT Patch Number 5684)

Medium Nessus Plugin ID 57696


The remote SuSE 11 host is missing one or more security updates.


This update for GnuTLS provides the following fixes :

- Fix typo in patch for gnutls-cli that can cause a crash.

- Fix Buffer overflow in the gnutls_session_get_data function in lib/gnutls_session.c , when used on a client that performs nonstandard session resumption, allows remote TLS servers to cause a denial of service (application crash) via a large SessionTicket.


Apply SAT patch number 5684.

See Also

Plugin Details

Severity: Medium

ID: 57696

File Name: suse_11_gnutls-120123.nasl

Version: $Revision: 1.3 $

Type: local

Agent: unix

Published: 2012/01/26

Modified: 2013/10/25

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:11:gnutls, p-cpe:/a:novell:suse_linux:11:libgnutls26, p-cpe:/a:novell:suse_linux:11:libgnutls26-32bit, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2012/01/23

Reference Information

CVE: CVE-2011-4128